<?php
require_once '../app/model/db.class.php';
require_once '../app/model/rangos.php';


if ($_REQUEST['accion']=='periodos'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from periodos");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Periodo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}

//-------------------------------------

if ($_REQUEST['accion']=='sedes'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from sedes");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Sede - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}

//--------------------------------------


if ($_REQUEST['accion']=='activar_grado'){

    $codigo=$_REQUEST['codigo'];
    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("UPDATE grados_temporal SET activar='".$estado."' where codigo='".$codigo."'");
    $obj->consulta("UPDATE cursos_temporal SET mostrar='".$estado."' where grado='".$codigo."'");

    $obj->disconnect();

}

//--------------------------------------


if ($_REQUEST['accion']=='activar_curso'){

    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $estado=$_REQUEST['estado'];
    

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("UPDATE cursos_temporal SET activar='".$estado."' where grado='".$grado."' and codigo='".$curso."'");

    $obj->disconnect();

}


//---------------------------------------

if ($_REQUEST['accion']=='listado_grados'){

    


    $sede=$_REQUEST['sede'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    


    $cadena=$obj->consulta("select grados.codigo, grados.descripcion from sedes inner join (grados inner join cursos on grados.codigo = cursos.grado) on sedes.codigo = cursos.sede
                            group by cursos.sede, grados.codigo, grados.descripcion, grados.orden having  cursos.sede='".$sede."'  order by grados.orden");

    $n=$obj->numero_de_filas($cadena);
    $s='';

    $i=1;
    if ($n!=0){

    $s="<br><div><input type='checkbox' id ='casilla1' onclick='marcar1(this);' /> Marcar/Desmarcar Grados";
    
    $s.="<table align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>No.</b></td>  <td><b>CODIGO</b></td>  <td><b>GRADOS</b></td> <td><b>ACTIVAR</b></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($cadena)){

        $s.="<tr>";

        $s.="<td align='center' style='font-size: 12px' width='5%'>".$i."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['codigo']."</td>";
        $s.="<td width='35%' style='font-size: 12px'> &nbsp;".$row['descripcion']."</td>";
        $s.="<td width='5%' align='center'><input id='".$row['codigo']."' type='checkbox' onclick='activar_grado(".$row['codigo'].")'/></td>";

        $s.="</tr>";
        $i++;
   }

    $s.="<td align='center' colspan='4'><input id = 'btnmostrar ' type='button' onclick='consulta_cursos()' value=' Mostrar '></td>";
    $s.="</table></div>";


        //Insertamos registros en las tablas temporales

        $obj->consulta("DELETE FROM grados_temporal");
        $obj->consulta("DELETE FROM cursos_temporal");

        $obj->consulta("insert into grados_temporal (codigo,descripcion) select grados.codigo, grados.descripcion from sedes inner join (grados inner join cursos on grados.codigo = cursos.grado) on sedes.codigo = cursos.sede
                       group by cursos.sede, grados.codigo, grados.descripcion, grados.orden having  cursos.sede='".$sede."'  order by grados.orden");

       $obj->consulta("INSERT INTO cursos_temporal(grado,codigo,jornada,descripcion,sede,orden_grados,orden_cursos) select cursos.grado, cursos.codigo, cursos.jornada, cursos.descripcion, cursos.sede, grados.orden,
                       cursos.orden from grados inner join (sedes inner join cursos on sedes.codigo = cursos.sede) on grados.codigo = cursos.grado where cursos.sede='".$sede."' order by grados.orden, cursos.orden");
        
        $obj->consulta("UPDATE grados_temporal SET activar='0'");
        $obj->consulta("UPDATE cursos_temporal SET activar='0',mostrar='0'");

   echo $s;
     
   }

   $obj->disconnect();

}

//---------------------------------------

if ($_REQUEST['accion']=='listado_cursos'){

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $cadena=$obj->consulta("update cursos_temporal set activar='0'");
    $cadena=$obj->consulta("select grado,codigo,jornada,descripcion from cursos_temporal where mostrar='1'");

    $n=$obj->numero_de_filas($cadena);
    $s='1';

    $i=1;
    if ($n!=0){

    $s="<br><div><input type='checkbox' id ='casilla2' onclick='marcar2(this);' /> Marcar/Desmarcar Cursos";

    $s.="<table align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>No.</b></td>  <td><b>GRADO</b></td> <td><b>CODIGO</b></td>   <td><b>JORNADA</b></td>   <td><b>CURSOS</b></td> <td><b>ACTIVAR</b></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($cadena)){

        $s.="<tr>";

        $s.="<td align='center' style='font-size: 12px' width='5%'>".$i."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['grado']."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['codigo']."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['jornada']."</td>";
        $s.="<td width='35%' style='font-size: 12px'> &nbsp;".$row['descripcion']."</td>";
        $s.="<td width='5%' align='center'><input id='".$row['grado']."_".$row['codigo']."' type='checkbox' onclick='activar_curso(\"".$row['grado']."\",\"".$row['codigo']."\")'/></td>";

        $s.="</tr>";
        $i++;
   }
    $s.="</table></div>";

   }

   echo $s;

   $obj->disconnect();

}



//--------------------------------------

if ($_REQUEST['accion']=='marcar_desmarcar_grados'){

    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("UPDATE grados_temporal SET activar='".$estado."'");
    $obj->consulta("UPDATE cursos_temporal SET mostrar='".$estado."'");

}

//--------------------------------------

if ($_REQUEST['accion']=='marcar_desmarcar_cursos'){

    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("UPDATE cursos_temporal SET activar='".$estado."' where mostrar='1'");

}

?>
